Configura un indicador fijo de iniciador de transacción con data.integration.initiatorIndicator en /core/site/create o /core/site/update-all. Un valor válido enviado por el comercio tiene prioridad; si se omite, se utiliza el valor del sitio y, en su ausencia, Placetopay lo determina automáticamente. Al actualizar, omite el campo para conservar su valor o envía null para eliminarlo. Consulta los valores admitidos y ejemplos.
Crear un sitio
Este servicio permite crear un sitio con la información suministrada. Si la respuesta es exitosa, retorna el identificador, estado, login y llave transaccional del sitio.
Solicitud
- Name
auth- Type
- Autentication
- is Required
- REQUERIDO
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
data- Type
- object
- is Required
- REQUERIDO
- Description
Arreglo que contiene la información del sitio a crear.
Solicitud
curl -X "POST" https://test.placetopay.com/rest/core/site/create \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NjE1MWQ4MDE5YWViMw==",
"seed": "2021-09-27T09:41:05-05:00"
},
"data": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"md5Hash": "e0xy799SGB3zj689",
"name": "Site name",
"displayName": "site display name",
"customerId": 1,
"type": "INT",
"category": "ECOMMERCE",
"email": "[email protected]",
"currency": "COP",
"language": "ES",
"active": true,
"customBatch": 1235665,
" expiration": "2019-08-24T14:15:22Z",
"onTest": true,
"integration": {
"allowPartial": true,
"allowWallet": true,
"checkoutAttemptsLimit": null,
"connectionMethod": "REDIRECT",
"notificationUrl": "www.urlexample.com",
"checkoutVersion": "v4",
"analyticsCode": "string"
},
"control": {
"minAmount": 0,
"maxAmount": 100000000,
"allowedDays": 127,
"allowedHours": "ffffffffffffffffffffffffffffffffffffffffff",
"filterPse": false,
"filterTuya": false,
"filterSafetypay": false,
"prechargeFilter": 0,
"allowedBankCountries": [
"CO"
],
"filterByBin": false,
"exceptionBinsList": [
411111,
123456
],
"delegatedAuthorization": "ffffffffffffffffffffffffffffffffffffffffff"
},
"threeDS": {
"setting": "VERY_LOW",
"minAmount": 0
},
"historic": {
"behaviour": "IGNORE",
"lowerScore": null,
"rejectionScore": null
},
"creditBureau": {
"behaviours": {
"onFailed": "REJECTED",
"onNoMatch": "REJECTED",
"onMatch": "PROCESS"
},
"paymentGroups": [
"CASH"
],
"minAmount": 10
},
"riskEngine": {
"behaviours": {
"onFailed": "REJECTED",
"onLowRisk": "MANUAL",
"onMediumRisk": "REJECTED",
"onHighRisk": "REJECTED"
},
"paymentGroups": [
"CASH"
],
"minAmount": 20,
"approvalScore": 100,
"rejectionScore": 250,
"onCalibration": true
},
"securityFilters": {
"filterLockedByTries": true,
"allowedIssuerCountries": [
"CO"
],
"forceIPMatch": true,
"excludeIPCountry": [
"CO"
],
"onlyWhitelisted": true,
"allowedIPCountries": [
"CO"
],
"allowedCardsDay": 2,
"allowedCardsByIP": 30,
"allowedCardsMonth": 2,
"allowedCardsYear": 5,
"dayMax": 2,
"dayMaxAmount": 100000000,
"monthMax": 5,
"monthMaxAmount": 100000000
},
"operation": {
"disableTax": true,
"calculateTax": true,
"taxPercentage": 0,
"patternReference": "string",
"mailCustomer": true,
"mailMerchant": true
},
"subscriptionValidation": {
"enable": true,
"amount": 0
},
"branding": {
"buttonColor": "#cc3fdd",
"sidebarColor": "#ffebeb"
}
}
}'
Respuesta
OK
- Name
status- Type
- Status
- is optional
- Description
Estructura que contiene la información sobre una solicitud o pago, informa al estado actual de la misma.
- Name
id- Type
- integer
- is optional
- Description
Identificador del sitio creado.
Ejemplo:15
- Name
login- Type
- string
- is optional
- Description
Login del sitio
Ejemplo:aabbccdd1234567890aabbccdd123456
- Name
tranKey- Type
- string
- is optional
- Description
Llave transaccional del sitio
Ejemplo:ABC123example456trankey+789abc012def3456ABC=
- Name
active- Type
- boolean
- is optional
- Description
Estado del sitio.
Valor por defecto:true
Respuesta
{
"status": {
"status": "OK",
"reason": "00",
"message": "La petición se ha procesado correctamente.",
"date": "2021-09-21T09:34:48-05:00"
},
"id": 15,
"active": true,
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC="
}
Actualizar branding de un sitio
Este servicio permite actualizar el branding y la versión de checkout de un sitio con la información suministrada. Si la respuesta es exitosa, retorna los datos del sitio
Solicitud
- Name
auth- Type
- Autentication
- is Required
- REQUERIDO
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
id- Type
- integer
- is Required
- REQUERIDO
- Description
Identificador del sitio.
Ejemplo:15
- Name
branding- Type
- array
- is optional
- Description
Array para guardar la configuración sobre la gestión de marca del sitio
- Name
checkoutVersion- Type
- string
- is optional
- Description
Version del checkout
Solicitud
curl -X "POST" https://test.placetopay.com/rest/core/site/update \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NjE1MWQ4MDE5YWViMw==",
"seed": "2021-09-27T09:41:05-05:00"
},
"id": 15,
"branding": {
"buttonColor": "#000000",
"sidebarColor": "#ffebeb"
}
}'
Respuesta
OK
- Name
id- Type
- integer
- is optional
- Description
Identificador del sitio
Ejemplo:1
- Name
name- Type
- string
- is optional
- Description
Nombre del sitio
Ejemplo:Site CO
- Name
displayName- Type
- string
- is optional
- Description
Nombre a mostrar del sitio
Ejemplo:Site display Name
- Name
document- Type
- string
- is optional
- Description
Documento del comercio
Ejemplo:123596822
- Name
documentType- Type
- string
- is optional
- Description
Tipo de documento del comercio
Ejemplo:CC
- Name
merchant- Type
- string
- is optional
- Description
Nombre del comercio
Ejemplo:Customer CO
- Name
merchantBrand- Type
- string
- is optional
- Description
Marca del comercio
Ejemplo:Customer brand CO
- Name
email- Type
- string
- is optional
- Description
Correo electrónico del sitio
- Name
supportEmail- Type
- string
- is optional
- Description
Correo electrónico de soporte del sitio
Nullable:Sí
- Name
allowedIP- Type
- string
- is optional
- Description
Ips autorizadas para ingresar al sistema
Ejemplo:127.0.0.1Nullable:Sí
- Name
allowPartial- Type
- boolean
- is optional
- Description
Indica si el comercio permite pago parcial
Ejemplo:false
- Name
allowMulticredit- Type
- boolean
- is optional
- Description
Indica si es permitido realizar pagos a diferentes destinos, solo para medio de pago PSE
- Name
state- Type
- string
- is optional
- Description
Indica si el sitio se encuentra ACTIVO o INACTIVO
Ejemplo:ACTIVE
- Name
currency- Type
- string
- is optional
- Description
Moneda del sitio
Ejemplo:COP
- Name
country- Type
- string
- is optional
- Description
País del comercio
Ejemplo:CO
- Name
locale- Type
- string
- is optional
- Description
Lenguaje seleccionado para el sitio
Ejemplo:EN
- Name
locales- Type
- array
- is optional
- Description
Lenguajes soportados por el comercio
Ejemplo:ENES
- Name
expireOn- Type
- string
- is optional
- Description
Fecha de expiración del sitio
Ejemplo:2030-05-19 17:59:55Nullable:Sí
- Name
logoUrl- Type
- string
- is optional
- Description
Url de logo del sitio
- Name
cssUrl- Type
- string
- is optional
- Description
Url del archivo de estilos
- Name
analyticsCode- Type
- string
- is optional
- Description
Código de Google Analytics o Tag Manager, si son ambos, se separan por coma ','.
Ejemplo:UA-171315311-4, GTM-123422Nullable:Sí
- Name
notificationUrl- Type
- string
- is optional
- Description
Url para notificación de cambios en transacciones en peticiones por redirección
Nullable:Sí
- Name
inlineJs- Type
- string
- is optional
- Description
Código HTML añadido a las páginas de redirección
Nullable:Sí
- Name
allowedCurrencies- Type
- array
- is optional
- Description
Monedas soportadas por el comercio
Ejemplo:COPUSDCRC
- Name
kount- Type
- object
- is optional
- Description
Contiene información de la integración con Kount
- Name
md5Hash- Type
- string
- is optional
- Description
Algoritmo de enmascaramiento de datos
- Name
onboardingToken- Type
- string
- is optional
- Description
Token de acceso para el sistema onBoarding
Ejemplo:FakeToken_cS44IiK58uganjnor5ksl3anjdc5sdas4fcavsn4xas8qD4TCbE5J1jIrNullable:Sí
- Name
credentials- Type
- object
- is optional
- Description
Objeto que contiene información de credenciales del sitio
- Name
integrations- Type
- object
- is optional
- Description
Estructura que contiene las integraciones.
- Name
payerFields- Type
- array
- is optional
- Description
Arreglo que contiene información de los tipos de campos del pagador
- Name
allowWallet- Type
- boolean
- is optional
- Description
Indicador de pago con Billetera Placetopay
Ejemplo:false
- Name
timezone- Type
- string
- is optional
- Description
Zona horaria configurada para el sitio
- Name
services- Type
- array
- is optional
- Description
Contiene informacion de los medios de pago asociados al sitio
- Name
transactionModifiers- Type
- array
- is optional
- Description
Contiene información acerca de modificadores de transacción
- Name
compensationMethod- Type
- object
- is optional
- Description
Indica método de compensación
- Name
checkoutVersion- Type
- string
- is optional
- Description
versión de redirección
Ejemplo:v4
- Name
branding- Type
- object
- is optional
- Description
Contiene la configuración sobre la gestión de marca del sitio
Ejemplo:null
- Name
openLinks- Type
- object
- is optional
- Description
Contiene la información relacionada con los alias del sitio
- Name
promotions- Type
- array
- is optional
- Description
Contiene información acerca de las promociones activas para el sitio
Respuesta
{
"id": 4,
"name": "Aval Button TEST",
"displayName": "Aval Button TEST",
"document": "0987654890",
"documentType": "NIT",
"merchant": "Customer Aval",
"merchantBrand": "Testing Botón Aval",
"email": "[email protected]",
"supportEmail": null,
"allowedIP": null,
"allowPartial": true,
"allowMulticredit": false,
"state": "ACTIVE",
"currency": "COP",
"country": "CO",
"locale": "ES",
"locales": [],
"expireOn": null,
"logoUrl": null,
"cssUrl": null,
"analyticsCode": null,
"notificationUrl": null,
"inlineJs": null,
"allowedCurrencies": [
"COP"
],
"kount": null,
"md5Hash": "rY2fuzD1",
"onboardingToken": null,
"credentials": [
{
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"expireOn": null
}
],
"integrations": {},
"payerFields": [
"name",
"surname",
"email",
"mobile",
"document",
"documentType"
],
"allowWallet": true,
"checkoutAttemptsLimit": null,
"timezone": "America/Bogota",
"services": [
{
"code": "BTNAV",
"priority": 1,
"minPayment": "1.00",
"maxPayment": "100000000.00",
"accountNumber": "1234567890",
"accountType": "Ahorros",
"bankName": "BANCO POPULAR",
"bankCode": 2,
"settings": [],
"promotions": []
}
],
"transactionModifiers": [],
"compensationMethod": {},
"checkoutVersion": "v3",
"branding": {
"logoUrl": "https://static-dev-bucket.s3.amazonaws.com/co/sites/branding/logo-site-5-20240111062950.png",
"buttonColor": "#000000",
"sidebarColor": "#ffebeb"
},
"openLinks": [],
"promotions": []
}
Actualizar un sitio
Este servicio permite actualizar un sitio con la información suministrada. Si la respuesta es exitosa, retorna el identificador del sitio y su estado.
Solicitud
- Name
auth- Type
- Autentication
- is Required
- REQUERIDO
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
id- Type
- integer
- is Required
- REQUERIDO
- Description
Identificador del sitio.
Ejemplo:15
- Name
data- Type
- object
- is Required
- REQUERIDO
- Description
Información del sitio a actualizar.
Solicitud
curl -X "POST" https://test.placetopay.com/rest/core/site/update-all \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NjE1MWQ4MDE5YWViMw==",
"seed": "2021-09-27T09:41:05-05:00"
},
"id": 15,
"data": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"md5Hash": "e0xy799SGB3zj689",
"name": "Updated name",
"displayName": "Update display name",
"type": "INT",
"category": "ECOMMERCE",
"email": "[email protected]",
"currency": "COP",
"language": "ES",
"active": true,
"customBatch": 1235665,
" expiration": "2019-08-24T14:15:22Z",
"onTest": true,
"productionDate": "2024-02-02",
"integration": {
"allowPartial": true,
"allowWallet": true,
"checkoutAttemptsLimit": null,
"connectionMethod": "REDIRECT",
"notificationUrl": "www.urlexample.com",
"checkoutVersion": "v4",
"analyticsCode": "string",
"sourceRestriction": "ivr"
},
"control": {
"minAmount": 9999999.99,
"maxAmount": 0,
"allowedDays": 127,
"allowedHours": "ffffffffffffffffffffffffffffffffffffffffff",
"filterPse": false,
"filterTuya": false,
"filterSafetypay": false,
"prechargeFilter": 0,
"allowedBankCountries": [
"CO"
],
"filterByBin": false,
"exceptionBinsList": [
411111
],
"delegatedAuthorization": "ffffffffffffffffffffffffffffffffffffffffff"
},
"securityFilters": {
"filterLockedByTries": true
},
"branding": {
"buttonColor": "#cc3fdd",
"sidebarColor": "#ffebeb"
}
}
}'
Respuesta
OK
- Name
status- Type
- Status
- is optional
- Description
Estructura que contiene la información sobre una solicitud o pago, informa al estado actual de la misma.
- Name
id- Type
- integer
- is optional
- Description
Identificador del sitio actualizado.
Ejemplo:15
- Name
active- Type
- boolean
- is optional
- Description
Indicador de estado del sitio.
Valor por defecto:true
Respuesta
{
"status": {
"status": "OK",
"reason": "00",
"message": "La petición se ha procesado correctamente.",
"date": "2021-09-21T09:34:48-05:00"
},
"id": 15,
"active": true
}
Eliminar un sitio
Este servicio permite eliminar un sitio. Si la respuesta es exitosa, retorna el identificador del sitio eliminado.
Solicitud
- Name
auth- Type
- Autentication
- is Required
- REQUERIDO
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
id- Type
- integer
- is Required
- REQUERIDO
- Description
Identificador del sitio.
Ejemplo:15
Solicitud
curl -X "POST" https://test.placetopay.com/rest/core/site/delete \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NjE1MWQ4MDE5YWViMw==",
"seed": "2021-09-27T09:41:05-05:00"
},
"id": 15
}'
Respuesta
OK
- Name
status- Type
- Status
- is optional
- Description
Estructura que contiene la información sobre una solicitud o pago, informa al estado actual de la misma.
- Name
id- Type
- integer
- is optional
- Description
Identificador del sitio eliminado.
Ejemplo:15
Respuesta
{
"status": {
"status": "OK",
"reason": "00",
"message": "La petición se ha procesado correctamente.",
"date": "2021-09-21T09:34:48-05:00"
},
"id": 15
}
Consulta de sitios
Este servicio permite consultar sitios existentes filtrando por medio de los parámetros: identificador del sitio, identificador del comercio, nombre, nombre a mostrar, indicador de estado en pruebas y estado del sitio.
Nota
No es requerido ingresar todos los parámetros para el filtro.
Si requiere el uso de paginación personalizada, debe enviar el parámetro 'pagination' junto a los filtros de la busqueda.
Solicitud
- Name
auth- Type
- Autentication
- is Required
- REQUERIDO
- Description
Estructura que contiene la información de autenticación del sitio generada de acuerdo al WSSE UsernameToken Profile 1.1
- Name
customerId- Type
- integer
- is optional
- Description
Identificador del comercio asociado.
Ejemplo:1
- Name
id- Type
- integer
- is optional
- Description
Identificador del sitio.
Ejemplo:15
- Name
name- Type
- string
- is optional
- Description
Nombre del sitio.
Ejemplo:nameLongitud máxima:128Longitud mínima:3
- Name
displayName- Type
- string
- is optional
- Description
Nombre a mostrar del sitio
Ejemplo:dispĺayNameLongitud máxima:128Longitud mínima:3
- Name
onTest- Type
- boolean
- is optional
- Description
Indicador de estado en pruebas
- Name
active- Type
- boolean
- is optional
- Description
Indicador de estado del sitio
- Name
pagination- Type
- object
- is optional
- Description
Objeto que contiene los parámetros de paginación.
Solicitud
curl -X "POST" https://test.placetopay.com/rest/core/site/search \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NjE1MWQ4MDE5YWViMw==",
"seed": "2021-09-27T09:41:05-05:00"
},
"customerId": 1,
"id": 15,
"name": "name",
"displayName": "dispĺayName",
"onTest": true,
"active": true,
"pagination": {
"perPage": 15,
"currentPage": 1
}
}'
Respuesta
OK
- Name
status- Type
- Status
- is optional
- Description
Estructura que contiene la información sobre una solicitud o pago, informa al estado actual de la misma.
- Name
data- Type
- array[Site]
- is optional
- Description
- Name
pagination- Type
- Pagination
- is optional
- Description
Estructura que contiene la información de la paginación.
Respuesta
{
"status": {
"status": "OK",
"reason": "00",
"message": "La petición se ha procesado correctamente.",
"date": "2021-09-21T09:34:48-05:00"
},
"data": [
{
"id": 1,
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"md5Hash": "e0xy799SGB3zj689",
"name": "Site name",
"displayName": "display name",
"type": "INT",
"category": "ECOMMERCE",
"email": "[email protected]",
"currency": "COP",
"language": "ES",
"active": true,
"customBatch": 1235665,
" expiration": "2019-08-24T14:15:22Z",
"onTest": true,
"productionDate": "2024-01-01",
"integration": {
"allowPartial": true,
"allowWallet": true,
"allowConfirmationFlow": true,
"checkoutAttemptsLimit": null,
"connectionMethod": "REDIRECT",
"notificationUrl": "www.urlexample.com",
"checkoutVersion": "v4",
"analyticsCode": "string",
"sourceRestriction": "microsite"
},
"control": {
"minAmount": 9999999.99,
"maxAmount": 0,
"allowedDays": 127,
"allowedHours": "ffffffffffffffffffffffffffffffffffffffffff",
"filterPse": false,
"filterTuya": false,
"filterSafetypay": false,
"prechargeFilter": 1,
"allowedBankCountries": [
"CO"
],
"filterByBin": false,
"exceptionBinsList": [
411111
],
"delegatedAuthorization": "ffffffffffffffffffffffffffffffffffffffffff"
},
"threeDS": {
"setting": "VERY_LOW",
"minAmount": 40
},
"historic": {
"behaviour": "IGNORE",
"lowerScore": 100,
"rejectionScore": 200
},
"creditBureau": {
"behaviours": {
"onFailed": "REJECTED",
"onNoMatch": "REJECTED",
"onMatch": "PROCESS"
},
"paymentGroups": [
"CASH"
],
"minAmount": 10,
"behaviour": 276
},
"riskEngine": {
"behaviours": {
"onFailed": "REJECTED",
"onLowRisk": "MANUAL",
"onMediumRisk": "REJECTED",
"onHighRisk": "REJECTED"
},
"paymentGroups": [
"CASH"
],
"minAmount": 20,
"approvalScore": 100,
"rejectionScore": 250,
"onCalibration": true,
"behaviour": 4372
},
"securityFilters": {
"filterLockedByTries": true,
"allowedIssuerCountries": [
"CO"
],
"forceIPMatch": true,
"excludeIPCountry": [
"CO"
],
"onlyWhitelisted": true,
"allowedIPCountries": [
"CO"
],
"allowedCardsDay": 5,
"allowedCardsByIP": 10,
"allowedCardsMonth": 3,
"allowedCardsYear": 3,
"dayMax": 1,
"dayMaxAmount": 200,
"monthMax": 2,
"monthMaxAmount": 1000
},
"operation": {
"disableTax": true,
"calculateTax": true,
"taxPercentage": 10,
"patternReference": "string",
"mailCustomer": true,
"mailMerchant": true
},
"subscriptionValidation": {
"enable": true,
"amount": 100
},
"branding": {
"logoUrl": "https://static-dev-bucket.s3.amazonaws.com/co/sites/branding/logo-site-5-20240111062950.png",
"buttonColor": "#cc3fdd",
"sidebarColor": "#ffebeb"
}
}
],
"pagination": {
"total": 30,
"perPage": 10,
"currentPage": 1,
"lastPage": 1
}
}